MONGOC_CLIENT_ENCRYPTION_NEW(3)

NAME
mongoc_client_encryption_new - mongoc_client_encryption_new()

SYNOPSIS

mongoc_client_encryption_t *
mongoc_client_encryption_new (mongoc_client_encryption_opts_t *opts,
                              bson_error_t *error) BSON_GNUC_WARN_UNUSED_RESULT;

Create a new mongoc_client_encryption_t.

PARAMETERS

•   opts: A mongoc_client_encryption_opts_t.

•   error: A bson_error_t.

RETURNS

A new mongoc_client_encryption_t that must be freed with mongoc_client_encryption_destroy() if successful. Returns NULL and sets error otherwise.

SEE ALSO:
mongoc_client_encryption_t

mongoc_client_encryption_opts_t

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc